Bug 1636263 - python-altgraph does not need pydot
Summary: python-altgraph does not need pydot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-altgraph
Version: 31
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-04 21:18 UTC by Jerry James
Modified: 2019-09-14 16:32 UTC (History)
1 user (show)

Fixed In Version: python-altgraph-0.16.1-1.fc30 python-altgraph-0.16.1-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-09 02:21:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Jerry James 2018-10-04 21:18:01 UTC
Description of problem:
In bug 1628422 we are looking at updating pydot to a newer version.  One of the packages with a pydot dependency is python-altgraph.  However that appears to be an error.  The sources do not refer to pydot at all.  Instead, altgraph has its own Dot.py which appears to invoke the dot and dotty executables directly.  The dependency on pydot should be removed.

Version-Release number of selected component (if applicable):
python-altgraph-0.12-16.fc29

How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Ben Cotton 2019-08-13 16:57:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 19:43:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Fedora Update System 2019-08-31 09:30:14 UTC
FEDORA-2019-e17a0b87b6 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e17a0b87b6

Comment 4 Fedora Update System 2019-08-31 09:51:39 UTC
FEDORA-2019-46f926a1d7 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-46f926a1d7

Comment 5 Fedora Update System 2019-08-31 20:16:47 UTC
python-altgraph-0.16.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e17a0b87b6

Comment 6 Fedora Update System 2019-09-01 08:11:17 UTC
python-altgraph-0.16.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-46f926a1d7

Comment 7 Fedora Update System 2019-09-09 02:21:48 UTC
python-altgraph-0.16.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-09-14 00:08:22 UTC
python-altgraph-0.16.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-09-14 16:32:13 UTC
python-altgraph-0.16.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.